Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.8 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Uptime plugin in server 2.8.1 does not work [closed]

Hy, i have debian 10 - Ocsinventory 2.8.1 Server -- agent 2.8.0RC
i copied the uptime.zip to

/usr/share/ocsinventory-reports/ocsreports/extensions

unziped it via unzip -a uptime.zip

and afterwards i used the webgui to install the extension

everything seems fine on server

I installed uptime plugin for windows into client into C:\Program Files (x86)\OCS Inventory Agent\Plugins

X86 because i upgraded an old client

I see no uptime on server .. regardless how often i resend inventory

i changed debug mode to 2 on client

AGENT => Running OCS Inventory Agent Version 2.8.0.1
AGENT => Using OCS Inventory FrameWork Version 2.8.0.1
AGENT => Loading plug-in(s)
    DLL PLUGIN => Searching for Plug-in DLL(s) in folder <C:\Program Files (x86)\OCS Inventory Agent\plugins>
    DLL PLUGIN => 0 DLL Plug-in(s) successfully loaded on 0 DLL(s) found
AGENT => Using network connection with Communication Server
    COM PROVIDER => Loading Communication Provider <C:\Program Files (x86)\OCS Inventory Agent\ComHTTP.dll>
AGENT => Using Communication Provider <OCS Inventory cURL Communication Provider> Version <2.8.0.1>
AGENT => Sending Prolog

....

COM SERVER => HTTP Post response received <HTTP Status Code #200>
    COM SERVER => Cleaning cURL library

is a certitficate mandatory for plugins  ?

Kind regards
closed with the note: Problem solved
in OCS Inventory NG agent for Windows by (17.8k points)
closed by

1 Answer

0 votes

hy, i solved it . reinstalled the client .. but the client wasn't the problem

With debugmode 2 i see that the client works normal

What was missing is step 2 on ocs-inventory server

https://wiki.ocsinventory-ng.org/10.Plugin-engine/Using-plugins-installer/

sudo python3 install_plugin.py
and so forth

after doing that .. and restart apache --everything works :-)

Kind regards
Sokatra

by (17.8k points)
 
Powered by Question2Answer
...